Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235569 - NO_BARE_NL patch is broken
Summary: NO_BARE_NL patch is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Janousek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-07 12:21 UTC by Matthias Hensler
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: cyrus-imapd-2.3.8-3.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 13:52:32 UTC


Attachments (Terms of Use)
Fixed no bare newlines patch (deleted)
2007-04-07 12:21 UTC, Matthias Hensler
no flags Details | Diff

Description Matthias Hensler 2007-04-07 12:21:13 UTC
Description of problem:
Recompiling cyrus-imapd with "--define 'NO_BARE_NL 1'" does not work.

Patch fails with:
Patch #7 (cyrus-imapd-2.1.15-nobarenewlinescheck.patch):
+ patch -p1 -b --suffix .nobarenewlinescheck -s
1 out of 1 hunk FAILED -- saving rejects to file imap/message.c.rej
error: Bad exit status from /var/tmp/rpm-tmp.87359 (%prep)


Version-Release number of selected component (if applicable):
2.3.7 and 2.3.8 (2.3.6 as well, not sure).


How reproducible:
rpmbuild -ba --define 'dist .fc6' --define 'NO_BARE_NL 1'
/usr/src/redhat/SPECS/cyrus-imapd.spec


Steps to Reproduce:

Just recompile the SRPM with NO_BARE_NL.
  
Actual results:

Patch cannot be applied


Expected results:

Patch should be applied :-)

Additional info:

A fixed patch for the 2.3.8 version is applied.

Comment 1 Matthias Hensler 2007-04-07 12:21:14 UTC
Created attachment 151914 [details]
Fixed no bare newlines patch

Comment 2 Tomas Janousek 2007-04-11 13:52:32 UTC
Applied, thanks.


Note You need to log in before you can comment on or make changes to this bug.